function [ctf] = ctf_folder(folder,ctf);

% ctf_folder - get and check CTF .ds folder name
%
% [ctf] = ctf_folder( [folder], [ctf] );
% 
% folder:  The .ds directory of the dataset.  It should be a complete path
% or given relative to the current working directory (given by pwd).  The
% returned value will ensure the complete path is identified.  If this
% argument is empty or not given, a graphical prompt for the folder
% appears.
%
% eg,
%     ctf = ctf_folder;
% 
% ctf.folder is returned (as a complete path).
%
%      <>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> %
%      <                                                      > %  
%      <                    DISCLAIMER:                       > %
%      <                                                      > %
%      < THIS PROGRAM IS INTENDED FOR RESEARCH PURPOSES ONLY. > %
%      < THIS PROGRAM IS IN NO WAY INTENDED FOR CLINICAL OR   > %
%      <                    OFFICIAL USE.                     > %
%      <                                                      > %
%      <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<> %
%


% $Revision: 1.4 $ $Date: 2004/04/01 22:09:08 $

% Licence:  GNU GPL, no express or implied warranties
% Modified: 01/2004, Darren.Weber_at_radiology.ucsf.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if ~exist('folder','var'),
  fprintf('...no folder input parameter specified\n');
  folder = getfolder;
end
if isempty(folder),
  fprintf('...folder input parameter is empty\n');
  folder = getfolder;
end
if exist(folder) ~= 7,
  fprintf('...folder is not a directory\n');
  folder = getfolder;
end
ctf.folder = folder;

% ensure we get the folder path
current_dir = pwd;
cd(ctf.folder);
cd ..
folderPath = pwd;
cd(current_dir);

% check whether the folder path is in the folder already
[path,file] = fileparts(ctf.folder);

% if findstr(folderPath,ctf.folder),
  % OK the path is already in the folder
% else
if isempty(path)
  % Add the folderPath
  ctf.folder = fullfile(ctf.folderPath,ctf.folder);
end


return


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function folder = getfolder,

folder = uigetdir(pwd,'locate CTF .ds folder');
if ~folder,
  error('no folder specified');
end

return